# Generated from ripper_ruby_parser-1.9.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ripper_ruby_parser

Name: rubygem-%{gem_name}
Version: 1.9.0
Release: 1%{?dist}
Summary: Parse with Ripper, produce sexps that are compatible with RubyParser
License: MIT
URL: http://www.github.com/mvz/ripper_ruby_parser
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5.0
# BuildRequires: rubygem(minitest) >= 5.6
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(minitest-focus) >= 1.3.1
# BuildRequires: rubygem(minitest-focus) < 1.4
# BuildRequires: rubygem(pry) >= 0.14.0
# BuildRequires: rubygem(pry) < 0.15
# BuildRequires: rubygem(rake-manifest) >= 0.2.0
# BuildRequires: rubygem(rake-manifest) < 0.3
# BuildRequires: rubygem(rubocop) >= 1.18.0
# BuildRequires: rubygem(rubocop) < 1.19
# BuildRequires: rubygem(rubocop-minitest) >= 0.15.0
# BuildRequires: rubygem(rubocop-minitest) < 0.16
# BuildRequires: rubygem(rubocop-performance) >= 1.11.0
# BuildRequires: rubygem(rubocop-performance) < 1.12
# BuildRequires: rubygem(ruby_parser) >= 3.17.0
# BuildRequires: rubygem(ruby_parser) < 3.18
# BuildRequires: rubygem(sexp_processor) >= 4.13.0
# BuildRequires: rubygem(sexp_processor) < 4.16
# BuildRequires: rubygem(simplecov) >= 0.21.0
# BuildRequires: rubygem(simplecov) < 0.22
BuildArch: noarch

%description
RipperRubyParser is a parser for Ruby based on Ripper that aims to be a
drop-in replacement for RubyParser.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md

%changelog
* Tue Sep 14 2021 mockbuilder - 1.9.0-1
- Initial package
